
Redmine - Defect #19375

redmine_dmsf  install show  mini_portile_0.6.0 Could not find

2015-03-13 15:29 - xuchun sang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.1

Description

apps\redmine\htdocs\plugins\redmine_dmsf>rake redmine

:plugins:migrate RAILS_ENV=production

(in D:/redmine-2.6.0-1/apps/redminedocs)

Could not find mini_portile-0.6.0 in any of the sources

Run `bundle install` to install missing gems.

History

#1 - 2015-03-13 15:57 - xuchun sang

then Run bundle install

show：

xapian-bindings-1.2.9/perl/t/termgenerator.t

xapian-bindings-1.2.9/perl/t/thread.t

xapian-bindings-1.2.9/perl/t/tied.t

xapian-bindings-1.2.9/perl/t/valuerange.t

xapian-bindings-1.2.9/perl/t/writabledatabase.t

xapian-bindings-1.2.9/perl/Makefile.am

xapian-bindings-1.2.9/perl/Makefile.in

xapian-bindings-1.2.9/perl/util.i.in

xapian-bindings-1.2.9/perl/xapian_wrap.cc

xapian-bindings-1.2.9/perl/except.i

xapian-bindings-1.2.9/lua/

xapian-bindings-1.2.9/lua/docs/

xapian-bindings-1.2.9/lua/docs/examples/

xapian-bindings-1.2.9/lua/docs/examples/simpleindex.lua

xapian-bindings-1.2.9/lua/docs/examples/simpleexpand.lua

xapian-bindings-1.2.9/lua/docs/examples/simplematchdecider.lua

xapian-bindings-1.2.9/lua/docs/examples/simplesearch.lua

xapian-bindings-1.2.9/lua/docs/index.html

xapian-bindings-1.2.9/lua/Makefile.am

xapian-bindings-1.2.9/lua/Makefile.in

xapian-bindings-1.2.9/lua/util.i

xapian-bindings-1.2.9/lua/except.i

xapian-bindings-1.2.9/lua/smoketest.lua

xapian-bindings-1.2.9/lua/xapian_wrap.cc

rake aborted!

Tasks: TOP => default

(See full trace by running task with --trace)

tar -xzvf xapian-core-1.2.9.tar.gz

tar -xzvf xapian-bindings-1.2.9.tar.gz

./configure --prefix=D:/redmine-2.6.0-1/ruby/lib/ruby/gems/2.0.0/gems/xa

pian-full-alaveteli-1.2.9.5 --exec-prefix=D:/redmine-2.6.0-1/ruby/lib/ru

by/gems/2.0.0/gems/xapian-full-alaveteli-1.2.9.5

Gem files will remain installed in D:/redmine-2.6.0-1/ruby/lib/ruby/gems

/2.0.0/gems/xapian-full-alaveteli-1.2.9.5 for inspection.

Results logged to D:/redmine-2.6.0-1/ruby/lib/ruby/gems/2.0.0/gems/xapia

n-full-alaveteli-1.2.9.5/./gem_make.out

An error occurred while installing xapian-full-alaveteli (1.2.9.5), and Bundler

cannot continue.

Make sure that `gem install xapian-full-alaveteli -v '1.2.9.5'` succeeds before

bundling.

2025-05-17 1/2



#2 - 2015-03-13 16:23 - Toshi MARUYAMA

- Category deleted (Plugin Request)

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

#3 - 2015-03-17 08:33 - xuchun sang

I resolved：

htdocs 下修改gemfile  source http://ruby.taobao.org/

1 bundle update

2 bundle install --no-deployment

3 bundle --without=xapian

4 rake redmine:plugins:migrate RAIL S_ENV="production"
